/**
 * Load Sample
 * by sadmb.
 *  
 */

import ddf.minim.*;

Minim minim;
int defX = 100;
int defY = 100;
String[] samplefiles = {"image.wav", "Note.wav"};
AudioSample[] kicks = new AudioSample[samplefiles.length];
int counter = 0;
int fpn = 10;
int[] note1 = {0, 4, 8, 12};
int[] note2 = {2, 7, 9, 14};

void setup()
{
  size(1024, 768, P2D);
  frameRate(60);
  // always start Minim before you do anything with it
  minim = new Minim(this);
  // load BD.mp3 from the data folder with a 1024 sample buffer
  // kick = Minim.loadSample("BD.mp3");
  // load BD.mp3 from the data folder, with a 512 sample buffer
  
  for(int i = 0; i < samplefiles.length; i++){
    kicks[i] = minim.loadSample(samplefiles[i], 2048);
  }
}

void draw()
{
  for(int i = 0; i < note1.length; i++){
    if(note1[i] * fpn == counter){
      kicks[0].trigger();
      background(255, 0, 0);
    }
  }
  for(int i = 0; i < note2.length; i++){
    if(note2[i] * fpn == counter){
      kicks[1].trigger();
      background(0, 255, 0);
    }
  }
  
  counter++;
  if(counter > 16 * fpn){
    counter = 0;
  }
}

void keyPressed()
{
  if ( key == 'k' ) kicks[0].trigger();
}

void stop()
{
  // always close Minim audio classes when you are done with them
  for(int i = 0; i < kicks.length; i++){
    kicks[i].close();
  }
  minim.stop();
  
  super.stop();
}
